# Uses of Interface
org.osgi.framework.ServiceFactory

Packages that use ServiceFactory
Package
Description
org.osgi.framework
Framework Package Version 1.8.

## Uses of ServiceFactory in org.osgi.framework

Subinterfaces of ServiceFactory in org.osgi.framework
Modifier and Type
Interface
Description
`interface`
`PrototypeServiceFactory<S>`
A factory for `prototype scope` services.
Methods in org.osgi.framework with parameters of type ServiceFactory
Modifier and Type
Method
Description
`<S> ServiceRegistration<S>`
BundleContext.`registerService(Class<S> clazz, ServiceFactory<S> factory, Dictionary<String,?> properties)`
Registers the specified service factory object with the specified properties under the name of the specified class with the Framework.